/* loading animation */
.loading-animation {
	display: none;
	position: fixed;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	z-index: 999;
	background: rgba(255, 255, 255, 0.8) url("/assets/img/loader.gif") center no-repeat;
}

body.loading {
	overflow: hidden;
}

body.loading .loading-animation {
	display: block;
}

.modal.loading {
	overflow: hidden;
}

.modal.loading .loading-animation {
	display: block;
}

/* footer */
footer {
	background-color: #f5f5f5;
}

/* end of footer */

/* margin */
.mtop-12 {
	margin-top: -12px;
}

.mbot-20 {
	margin-bottom: 20px;
}

/* Navbar */
.navbar-brand.home {
	font-family: 'Viga', sans-serif;
	font-size: 24px;
	font-weight: bold;
}

.navbar-nav .nav-item {
	margin-left: 30px;
}

.navbar-nav .nav-item .nav-link {
	font-family: 'Viga', sans-serif;
}

/* Pengumuman */
.post {
	max-width: 800px;
	margin: 0 auto;
	padding: 20px 20px;
}

.post-date {
	color: #D2D2D2;
	font-size: 12px;
	font-weight: bold;
	text-transform: uppercase;
	letter-spacing: 0.1em;
}

.post-container:nth-child(odd) {
	background-color: #f2f2f2;
}

.post-author img {
	border-radius: 50%;
	width: 50px;
	vertical-align: middle;
	padding-right: 2px;
}

.post-author span {
	font-weight: bold;
}

/* End Pengumuman */

/* Jumbotron */
.jumbotron {
	background-size: cover;
	height: 640px;
	margin-top: -20px;
}

.jumbotron .display-4 {
	color: white;
	text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.7);
}

.jumbotron .isi {
	color: white;
	text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.7);
}

/* Desktop Version */
@media (min-width: 992px) {
	/* .navbar-nav .nav-item .nav-link.home:hover {
		border-bottom: 3px solid rgb(220, 11, 175);
		margin-bottom: -3px;
	} */

	.footer-border {
		border-right: 2px solid blueviolet;
	}

	.jumbotron .display-4 {
		margin-top: 150px;
	}

	/* hide sidebar on landing page*/
	.sidebar-mini-home .sidebar {
		width: 0px;
	}

	.sidebar-mini-home .main-panel {
		width: 100%;
	}

	/* end hide sidebar on landing page */
}

/* End Desktop Version */

/* heri */
/* login */

.wrapper-full-page .page-header {
	padding: 15vh 0 !important
}

/* registration */
.wrapper-full-page.registration .page-header {
	padding: 8vh 0 !important
}

/* end heri */

/* heri */
.avatar {
	width: 40px;
	height: 40px;
	overflow: hidden;
	border-radius: 50%;
	vertical-align: middle;
	/* margin-right: 5px; */
}

.text-font-size-14 {
	font-size: 14px;
}

.text-font-style-bold {
	font-weight: 900;
}

.user-profile {
	font-size: 0.8rem;
	font-weight: 600;
}

.user-profile>.user-description {
	font-size: 0.7rem;
	font-weight: 500;
}

.sidebar-heading {
	text-transform: uppercase !important;
	text-align: left;
	padding: 0 1rem;
	margin-top: 15px;
	font-weight: 700;
	font-size: .85rem
}

/* .nav-item .collapse>.nav>.nav-item>.nav-link {
	margin-left: 30px;
} */

/* end heri */

/* chip */
.chip {
	display: inline-block;
	padding: 0 10px;
	height: 32px;
	line-height: 32px;
	border-radius: 25px;
	/* background-color: rgb(206, 255, 157); */
	background-color: #e3e3e3;
	margin-bottom: 1px;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
	box-shadow: inset 0.1em 0.2em 0em rgba(0, 0, 0, 0.1),
		0 0 0 2px rgb(255, 255, 255),
		0em 0em 0.3em rgba(0, 0, 0, 0.5);
}

.chip:hover {
	background-color: rgb(240, 230, 140);
	box-shadow: inset 0.1em 0.2em 0em rgba(0, 0, 0, 0.1),
		0 0 0 2px rgb(255, 255, 255),
		0em 0em 0.3em rgba(0, 0, 0, 1);
}

.chip img {
	float: left;
	margin: 0 10px 0 -10px;
	height: 32px;
	width: 32px;
	border-radius: 50%;
}

.closebtn {
	padding-left: 5px;
	padding-right: 0px;
	color: #888;
	font-weight: bold;
	float: right;
	font-size: 20px;
	cursor: pointer;
}

.closebtn:hover {
	color: #f00;
}

/* end chip */

.closebtnimage {
	padding-left: 5px;
	padding-right: 0px;
	color: #888;
	font-weight: bold;
	/* float: right; */
	font-size: 20px;
	cursor: pointer;
}

.closebtnimage:hover {
	color: #f00;
}

/* wrap long text in option */
.bootstrap-select .large-bootstrap-select .large-dropdown-menu {
	width: 100px;
	/* modify this as needed */
}

.large-dropdown-menu span.text {
	word-wrap: break-word;
	white-space: normal;
}

/* and we are responsive */
@media only screen and (max-width: 760px),
(min-width: 768px) and (max-width: 1024px) {

	.bootstrap-select .large-bootstrap-select .large-dropdown-menu {
		width: 60px;
		/* modify this as needed */
	}

	.large-dropdown-menu span.text {
		word-wrap: break-word;
		white-space: normal;
	}
}

/* Mobile */
@media (max-width: 760px) {
	.footer-border {
		padding-bottom: 15px;
		margin-left: 15px;
		margin-right: 15px;
		border-bottom: 2px solid blueviolet;
	}
}

/* End of Mobile */

/* end wrap long text in option */

/* Start: Fix overflow for select element on a modal when multiple selected items take 2 or more lines */
.clearfix:after {
	content: ".";
	visibility: hidden;
	display: block;
	height: 0;
	clear: both;
}

/* End: Fix overflow for select element on a modal when multiple selected items take 2 or more lines */

.bmd-form-group label,
.form-check,
label {
	/* darker font label on form */
	color: #3c4858;
}

label.kriteria {
	text-align: left !important;
	font-weight: bold;
}
